liborigin 2.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::VectorProperties Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | VectorPosition { Tail , Midpoint , Head }

## Public Member Functions
| VectorProperties ()

## Public Attributes
string | angleColumnName
unsigned char | arrowAngle
bool | arrowClosed
unsigned short | arrowLenght
Color | color
int | constAngle
int | constMagnitude
string | endXColumnName
string | endYColumnName
string | magnitudeColumnName
float | multiplier
VectorPosition | position
double | width

## Member Enumeration Documentation

## ◆ VectorPosition

enum Origin::VectorProperties::VectorPosition

Enumerator
Tail |
Midpoint |
Head |

## Constructor & Destructor Documentation

## ◆ VectorProperties()

Origin::VectorProperties::VectorProperties | ( |  | ) |
| inline

## Member Data Documentation

## ◆ angleColumnName

string Origin::VectorProperties::angleColumnName

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ arrowAngle

unsigned char Origin::VectorProperties::arrowAngle

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ arrowClosed

bool Origin::VectorProperties::arrowClosed

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ arrowLenght

unsigned short Origin::VectorProperties::arrowLenght

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ color

Color Origin::VectorProperties::color

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ constAngle

int Origin::VectorProperties::constAngle

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ constMagnitude

int Origin::VectorProperties::constMagnitude

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ endXColumnName

string Origin::VectorProperties::endXColumnName

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ endYColumnName

string Origin::VectorProperties::endYColumnName

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ magnitudeColumnName

string Origin::VectorProperties::magnitudeColumnName

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ multiplier

float Origin::VectorProperties::multiplier

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ position

VectorPosition Origin::VectorProperties::position

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ width

double Origin::VectorProperties::width

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h